Index: trunk/MagicSoft/Mars/datacenter/db/runinfo-aio.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/runinfo-aio.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/runinfo-aio.php	(revision 9498)
@@ -15,5 +15,5 @@
                 $statusgroups++;
 
-        $query0 = "SELECT ";
+        $query0 = "SELECT SQL_CALC_FOUND_ROWS ";
 
         if ($groups>0 || ((!empty($_GET["fGroupByDate"])) && !$_GET["fGroupByDate"]==0) || $statusgroups>0)
@@ -324,13 +324,15 @@
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
         {
             if ($html=="1" || $html=="2")
-                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $_GET);
+                PrintMagicTable($result0, $alias, $rightalign, "", "", "", $result1);
             else
                 PrintText($result0);
 
             mysql_free_result($result0);
+            mysql_free_result($result1);
         }
         mysql_close($db_id);
Index: trunk/MagicSoft/Mars/datacenter/db/runinfo.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/runinfo.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/runinfo.php	(revision 9498)
@@ -15,5 +15,5 @@
                 $statusgroups++;
 
-        $query0 = "SELECT ";
+        $query0 = "SELECT SQL_CALC_FOUND_ROWS ";
 
         if ($groups>0)
@@ -515,13 +515,15 @@
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
         {
             if ($html=="1" || $html=="2")
-                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $_GET);
+                PrintMagicTable($result0, $alias, $rightalign, "", "", "", $result1);
             else
                 PrintText($result0);
 
             mysql_free_result($result0);
+            mysql_free_result($result1);
         }
         mysql_close($db_id);
Index: trunk/MagicSoft/Mars/datacenter/db/sequinfo-aio.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/sequinfo-aio.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/sequinfo-aio.php	(revision 9498)
@@ -15,5 +15,5 @@
                 $statusgroups++;
 
-        $query0 = "SELECT ";
+        $query0 = "SELECT SQL_CALC_FOUND_ROWS ";
 
         if ($groups>0 || ((!empty($_GET["fGroupByDate"])) && !$_GET["fGroupByDate"]==0) || $statusgroups>0)
@@ -397,13 +397,15 @@
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
         {
             if ($html=="1" || $html=="2")
-                PrintMagicTable($result0, $alias, $rightalign, $limitsmean, $limitsmin, $limitsmax, "", $_GET);
+                PrintMagicTable($result0, $alias, $rightalign, $limitsmean, $limitsmin, $limitsmax, $result1, "");
             else
                 PrintText($result0);
 
             mysql_free_result($result0);
+            mysql_free_result($result1);
         }
         mysql_close($db_id);
Index: trunk/MagicSoft/Mars/datacenter/db/sequinfo.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/sequinfo.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/sequinfo.php	(revision 9498)
@@ -15,5 +15,5 @@
                 $statusgroups++;
 
-        $query0 = "SELECT ";
+        $query0 = "SELECT SQL_CALC_FOUND_ROWS ";
 
         if ($groups>0)
@@ -628,13 +628,15 @@
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
         {
             if ($html=="1" || $html=="2")
-                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $_GET);
+                PrintMagicTable($result0, $alias, $rightalign, "", "", "", $result1);
             else
                 PrintText($result0);
 
             mysql_free_result($result0);
+            mysql_free_result($result1);
         }
         mysql_close($db_id);
Index: trunk/MagicSoft/Mars/datacenter/db/sources.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/sources.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/sources.php	(revision 9498)
@@ -4,5 +4,5 @@
     {
 
-        $query0 = "SELECT ";
+        $query0 = "SELECT SQL_CALC_FOUND_ROWS ";
         if ($_GET["fLinks"]=="Off" || !empty($_GET["fSendTxt"]))
             $query0 .= " fSourceName as 'Source' ";
@@ -112,13 +112,15 @@
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
         {
             if ($html=="1")
-                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $_GET);
+                PrintMagicTable($result0, $alias, $rightalign, "", "", "", $result1);
             else
                 PrintText($result0);
 
             mysql_free_result($result0);
+            mysql_free_result($result1);
         }
         mysql_close($db_id);
Index: trunk/MagicSoft/Mars/datacenter/db/statusrps.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/statusrps.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/statusrps.php	(revision 9498)
@@ -3,5 +3,5 @@
     function CreateQuery($_GET, $alias, $checkstatusgroup, $checkwhere, $needs)
     {
-        $query0 = "SELECT ";
+        $query0 = "SELECT SQL_CALC_FOUND_ROWS ";
 
         $statusgroups = 0;
@@ -203,13 +203,15 @@
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
         {
             if ($html=="1")
-                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $_GET);
+                PrintMagicTable($result0, $alias, $rightalign, "", "", "", $result1);
             else
                 PrintText($result0);
 
             mysql_free_result($result0);
+            mysql_free_result($result1);
         }
         mysql_close($db_id);
Index: trunk/MagicSoft/Mars/datacenter/db/statussbs.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/statussbs.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/statussbs.php	(revision 9498)
@@ -8,5 +8,5 @@
                 $statusgroups++;
 
-        $query0 = "SELECT ";
+        $query0 = "SELECT SQL_CALC_FOUND_ROWS ";
 
         if ($statusgroups>0)
@@ -179,13 +179,15 @@
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
         {
             if ($html=="1")
-                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $_GET);
+                PrintMagicTable($result0, $alias, $rightalign, "", "", "", $result1);
             else
                 PrintText($result0);
 
             mysql_free_result($result0);
+            mysql_free_result($result1);
         }
         mysql_close($db_id);
Index: trunk/MagicSoft/Mars/datacenter/db/statussps.php
===================================================================
--- trunk/MagicSoft/Mars/datacenter/db/statussps.php	(revision 9493)
+++ trunk/MagicSoft/Mars/datacenter/db/statussps.php	(revision 9498)
@@ -8,5 +8,5 @@
                 $statusgroups++;
 
-        $query0 = "SELECT ";
+        $query0 = "SELECT SQL_CALC_FOUND_ROWS ";
 
         if ($statusgroups>0)
@@ -192,13 +192,15 @@
 
         $result0 = mysql_query($query0, $db_id);
+        $result1 = mysql_query("SELECT FOUND_ROWS()", $db_id);
 
         if ($result0)
         {
             if ($html=="1")
-                PrintMagicTable($result0, $alias, $rightalign, "", "", "", "", $_GET);
+                PrintMagicTable($result0, $alias, $rightalign, "", "", "", $result1);
             else
                 PrintText($result0);
 
             mysql_free_result($result0);
+            mysql_free_result($result1);
         }
         mysql_close($db_id);
